import React from 'react';
import { CommonThemeProps } from '../types';
import { ConfigProviderProps as NextConfigProviderProps } from '@alifd/next/types/config-provider';
interface ConfigProviderProps extends NextConfigProviderProps, CommonThemeProps {
}
declare type ConfigProviderType = React.Component<ConfigProviderProps>;
interface IConfigProvider {
    new (): ConfigProviderType;
    config<T = any>(Component: T, options?: any): T;
    configFC<T = any>(Component: T, options?: any): T;
    getContextProps(props: {}, displayName: string): any;
    initLocales(locales: any): any;
    setLanguage(language: string): any;
    setLocale(locale: any): any;
    setDirection(dir: string): any;
    getLocale(): any;
    getLanguage(): string;
    getDirection(): string;
    clearCache(): any;
}
declare const ConfigProvider: IConfigProvider;
export default ConfigProvider;
